knitr_options {rmarkdown} | R Documentation

## Knitr options for an output format

### Description

Define the knitr options for an R Markdown output format.

### Usage

    knitr_options(opts_knit = NULL, opts_chunk = NULL, knit_hooks = NULL,
      opts_hooks = NULL, opts_template = NULL)

### Arguments

`opts_knit` | List of package level knitr options (see `opts_knit`)
`opts_chunk` | List of chunk level knitr options (see `opts_chunk`)
`knit_hooks` | List of hooks for R code chunks, inline R code, and output (see `knit_hooks`)
`opts_hooks` | List of hooks for code chunk options (see `opts_hooks`)
`opts_template` | List of templates for chunk level knitr options (see `opts_template`)

### Value

An list that can be passed as the `knitr` argument of the `output_format` function.

### See Also

output_format

[Package rmarkdown version 1.2 Index]